php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57930 Compile fails
Submitted: 2007-11-26 22:22 UTC Modified: 2007-11-27 00:00 UTC
From: mike at silverorange dot com Assigned:
Status: Duplicate Package: gnupg (PECL)
PHP Version: 5.2.1 OS: Ubuntu Linux 7.04
Private report: No CVE-ID: None
 [2007-11-26 22:22 UTC] mike at silverorange dot com
Description:
------------
I have the gpgme-dev package installed but compiling the pecl extension fails with a bunch of errors.

Reproduce code:
---------------
pecl install gnupg

Expected result:
----------------
Successful installation.

Actual result:
--------------
Several undefined symbol errors, which appear to be caused by:

/tmp/pear/cache/gnupg-1.3.1/php_gnupg.h:35: error: expected specifier-qualifier-list before 'gpgme_ctx_t'

tmp/pear/cache/gnupg-1.3.1/php_gnupg_keylistiterator.h:37: error: expected specifier-qualifier-list before 'gpgme_ctx_t'

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-11-27 00:00 UTC] mike at silverorange dot com
This is a dupe of #11826. Ubuntu is based on Debian, installing libgpgme11-dev fixed compile.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Apr 22 18:01:27 2019 UTC